Bug 53676 - Flashing remote video
Flashing remote video
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-14 15:15 EDT by Mark H Johnson
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-14 15:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark H Johnson 2001-09-14 15:15:43 EDT
Description of Problem:
Using more than one program such as xawtv at a time to display video
inputs can cause the windows to flash. The flashing appears to be an
alternating pattern of images from both video inputs. This occurs if:
 - hardware scaling is used
 - the video source is on a separate system from the display
The flashing stops if you...
 - use hardware scaling on only 1 video window at a time OR
 - use only 1 video window per display in a multi-head configuration

Version-Release number of selected component (if applicable):

How Reproducible:
Use two systems, one to capture the video and the other to display
the video. We have reproduced the symptom with both Matrox and Savage
multi-head display cards. Put more than one video card into the video
capture system (e.g., WinTV). Run at least two video display programs such
as xawtv (similar symptoms from motv) with the X display set to another

Steps to Reproduce:
1. Set up the two systems
2. xhost + on the display system
on the video capture system
3. export DISPLAY=display:0  (display == display system name)
4. xawtv -c /dev/video0 -remote &
5. xawtv -c /dev/video1 -remote &

Actual Results:
When second window appears, both windows begin to flash. If you have
a multi-head card, moving one window to another display makes the
flashing stop. Even better, on a multi-head card, have one window
half on one display and half on the other - only one half will flash.
Because of this symptom - we do not believe it is a problem with xawtv,
but a problem with the X server (or X libraries) itself.

Expected Results:
Both video windows work w/o any flashing.

Additional Information:
By adding -noscale to the command line of EITHER program will prevent
the flashing. As noted above, video windows on separate multi-head
displays will not flash either.
Comment 1 Mike A. Harris 2001-09-18 03:31:29 EDT
Please report this bug upstream to XFree86 directly.  You can do so by
submitting a bug report via email to xfree86@xfree86.org.  They are much
better equipped and familiar with the code than am I to debug and fix

Note You need to log in before you can comment on or make changes to this bug.